{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container" style="margin: 10px 5% 10px 5%">
  <div class="my-repair-title">
    <p>Envoyer un message</p>
  </div>
  <!-- todo -->
  <style>
    .fa-cloud-arrow-up::before {
      font-size: 10rem;
      display: flex;
      justify-content: center;
      width: 100%;
      height: 100%;
      align-items: center;
      cursor: pointer;
      border: 1px dotted black;
      border-radius: 10px;
    }
    .fa-cloud-arrow-up {
      display: flex;
      justify-content: center;
      width: 100%;
      height: 100%;
      align-items: center;
      cursor: pointer;
      content: "\f0ee";
      font-size: 30rem;
    }
  </style>
  <div class="normal-display-page position-relative">
    {% include "../components/quick_access.html" %}
    <form method="POST" enctype="multipart/form-data">
      {% csrf_token %}
      <div class="mb-3">
        <label for="first_name" class="form-label">Votre prénom:</label>
        <input
          type="text"
          required
          readonly
          class="form-control"
          id="first_name"
          name="first_name"
          value="{{ request.user.first_name }}"
        />
      </div>
      <div class="mb-3">
        <label for="las_name" class="form-label">Votre nom:</label>
        <input
          type="text"
          required
          readonly
          class="form-control"
          id="las_name"
          name="las_name"
          value="{{ request.user.last_name }}"
        />
      </div>
      <div class="mb-3">
        <label for="email" class="form-label">Votre e-mail:</label>
        <input
          type="email"
          required
          readonly
          class="form-control"
          id="email"
          name="email"
          placeholder="Ex : email@exemple.fr"
          value="{{ request.user.email }}"
        />
      </div>
      <div class="mb-3">
        <label for="message" class="form-label">Le message à envoyer : </label>
        <textarea
          class="form-control"
          id="message"
          rows="10"
          name="message"
          required
        ></textarea>
      </div>
      <div class="mb-3">
        <label for="images" class="form-label"
          >Ajouter quelques images à votre message :</label
        >
        <label
          for="image-input"
          class="fa-sharp fa-regular fa-cloud-arrow-up"
        ></label>
        <input
          type="file"
          name="form-images"
          class="text form-control d-none"
          id="image-input"
          multiple
          accept="image/*"
          value=" "
        />
        <div
          class="image-container"
          id="image-container"
          style="display: none"
        ></div>

        <div
          class="w-100 d-flex justify-content-center align-content-center mt-3"
        >
          <button
            type="submit"
            class="normal-btn bg-success text-white shadow-lg rounded px-4 py-2"
          >
            <i class="fa-solid fa-check"></i> Envoyer
          </button>
        </div>
      </div>
    </form>
  </div>
  <script src="{% static 'assets/js/script.js' %}"></script>
  <script src="{% static 'assets/js/new_message.js' %}"></script>
</div>

{% endblock main%}
